Bug 962256 - Review Request: zanata-client - zanata client module
Review Request: zanata-client - zanata client module
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-12 22:17 EDT by Patrick Huang
Modified: 2015-07-08 07:53 EDT (History)
3 users (show)

See Also:
Fixed In Version: zanata-client-2.2.0-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-26 23:29:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dchen: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrick Huang 2013-05-12 22:17:37 EDT
Spec URL: http://fedorapeople.org/~pahuang/zanata-client.spec
SRPM URL: http://fedorapeople.org/~pahuang/zanata-client-2.2.0-1.fc17.src.rpm
Description: 
Zanata client modules. 
Holds most of Zanata's client code, including Zanata CLI.
It also contains REST stub for interacting with a Zanata server.
Fedora Account System Username: pahuang
Comment 2 Ding-Yi Chen 2013-05-13 01:54:08 EDT
Just found one issue:

The license should be LGPLv2+.
Comment 4 Ding-Yi Chen 2013-05-16 00:58:05 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Packages have proper BuildRequires/Requires on jpackage-utils
  Note: Maven packages do not need to (Build)Require jpackage-utils. It is
  pulled in by maven-local
  See: https://fedoraproject.org/wiki/Packaging:Java
- Javadoc subpackages should not have Requires: jpackage-utils
  Note: jpackage-utils requires are automatically generated by the buildsystem
  See: https://fedoraproject.org/wiki/Packaging:Java


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in zanata-
     client-javadoc
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v2.1 or later)", "Unknown or generated". 75 files have unknown
     license. Detailed output of licensecheck in /home/dchen/962256-zanata-
     client/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: zanata-client-2.2.0-2.fc17.noarch.rpm
          zanata-client-javadoc-2.2.0-2.fc17.noarch.rpm
zanata-client.noarch: W: no-manual-page-for-binary zanata-cli
zanata-client-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
zanata-client-javadoc.noarch: W: spelling-error %description -l en_US submodules -> sub modules, sub-modules, modules
zanata-client-javadoc.noarch: W: spelling-error %description -l en_US cli -> cl, clii, clip
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint zanata-client zanata-client-javadoc
zanata-client.noarch: W: no-manual-page-for-binary zanata-cli
zanata-client-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
zanata-client-javadoc.noarch: W: spelling-error %description -l en_US submodules -> sub modules, sub-modules, modules
zanata-client-javadoc.noarch: W: spelling-error %description -l en_US cli -> cl, clii, clip
2 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
zanata-client (rpmlib, GLIBC filtered):
    /bin/sh
    ant
    apache-commons-codec
    apache-commons-collections
    apache-commons-configuration
    apache-commons-io
    apache-commons-lang
    args4j
    guava
    java
    jpackage-utils
    log4j
    opencsv
    openprops
    resteasy
    slf4j
    zanata-api
    zanata-common

zanata-client-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils
    zanata-client



Provides
--------
zanata-client:
    mvn(org.zanata:client)
    mvn(org.zanata:zanata-cli)
    mvn(org.zanata:zanata-client-commands)
    mvn(org.zanata:zanata-rest-client)
    zanata-client

zanata-client-javadoc:
    zanata-client-javadoc



Source checksums
----------------
https://github.com/zanata/zanata-client/archive/client-2.2.0.zip :
  CHECKSUM(SHA256) this package     : bfc6c6b2ff95bbf86f2a432c01fb9cdd6a863a458a8a3c4b3372807d6f8b228f
  CHECKSUM(SHA256) upstream package : b6cc0d1ec7db965dba380a8f62084ef5393f09b12eb1f8cd5f2973ef50fe56b3
However, diff -r shows no differences


APPROVED
Comment 5 Patrick Huang 2013-05-16 01:30:11 EDT
New Package SCM Request
=======================
Package Name: zanata-client
Short Description: zanata client module
Owners: pahuang seanf
Branches: f17 f18 f19 
InitialCC:
Comment 6 Gwyn Ciesla 2013-05-16 08:21:34 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-05-17 02:54:31 EDT
zanata-client-2.2.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/zanata-client-2.2.0-2.fc19
Comment 8 Fedora Update System 2013-05-17 02:54:41 EDT
zanata-client-2.2.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/zanata-client-2.2.0-2.fc18
Comment 9 Fedora Update System 2013-05-17 18:22:58 EDT
zanata-client-2.2.0-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 10 Fedora Update System 2013-05-26 23:29:40 EDT
zanata-client-2.2.0-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Fedora Update System 2013-05-27 21:07:47 EDT
zanata-client-2.2.0-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 12 Ding-Yi Chen 2015-07-08 03:53:46 EDT
Package Change Request
======================
Package Name: zanata-client
New Branches: epel7
Owners: pahuang dchen
Comment 13 Gwyn Ciesla 2015-07-08 07:53:59 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.